package com.yonge.cooleshow.biz.dal.wrapper;

import com.alibaba.fastjson.JSON;
import com.microsvc.toolkit.common.response.paging.QueryInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Optional;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.StringUtils;

/**
 * 机构专辑关联表
 * 2023-07-21 17:32:49
 */
@ApiModel(value = "TenantAlbumRefWrapper对象", description = "机构专辑关联表查询对象")
public class TenantAlbumRefWrapper {

    @Data
	@Builder
    @NoArgsConstructor
    @AllArgsConstructor
    @ApiModel(" TenantAlbumRefQuery-机构专辑关联表")
    public static class TenantAlbumRefQuery implements QueryInfo {
    
    	@ApiModelProperty("当前页")
        private Integer page;
        
        @ApiModelProperty("分页行数")
        private Integer rows;
        
        @ApiModelProperty("关键字匹配")
		private String keyword;
        
        public String getKeyword() {
            return Optional.ofNullable(keyword).filter(StringUtils::isNotBlank).orElse(null);
        }
        
        public String jsonString() {
            return JSON.toJSONString(this);
        }

        public static TenantAlbumRefQuery from(String json) {
            return JSON.parseObject(json, TenantAlbumRefQuery.class);
        }
    }  

	@ApiModel(" TenantAlbumRef-机构专辑关联表")
    public static class TenantAlbumRef {
        
        public String jsonString() {
            return JSON.toJSONString(this);
        }

        public static TenantAlbumRef from(String json) {
            return JSON.parseObject(json, TenantAlbumRef.class);
        }
	}

}